function AISMN_Reaction_Attack::OnEnter(%this,%obj)
{
	GetThisObject(%obj).playVocal("SBA");
   %attacker = %obj.GetAttackerOf();
   if(%attacker && IsAttackable(%attacker) && !%obj.isAttacking() )
   {
      %obj.performAction("attack",%attacker);
   }
   return;
}

function AISMN_Reaction_Attack::OnExit(%this,%obj)
{
   return;
}

//EXIT 0: No longer under attack
//EXIT 1: Dead
function AISMN_Reaction_Attack::Update(%this,%obj)
{
   if(!%obj.isUnderAttack())
      ReturnValue(%obj,0);
   else
      ReturnValue(%obj,-1);
   return;
}